<template>
  <div class="wrap">
    <button @click="increment">
      Count is: {{ count }}, double is: {{ double }}
    </button>
  </div>
</template>

<script>
import { reactive, computed } from "vue";
export default {
  name: 'Counter',
  setup() {
    const state = reactive({
      count: 0,
      double: computed(() => state.count * 2)
    });
    function increment() {
      state.count++
    }
    return {
      count,
      double,
      increment
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">

</style>
